Skip to main content
PUT
/
v1.1
/
pix-automatic
/
authorizations
/
{idRec}
/
cancel
Cancel authorization
curl --request PUT \
  --url https://api.paymee.com.br/v1.1/pix-automatic/authorizations/{idRec}/cancel \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-token: <x-api-token>' \
  --data '
{
  "reason": "Customer requested cancellation."
}
'
import requests

url = "https://api.paymee.com.br/v1.1/pix-automatic/authorizations/{idRec}/cancel"

payload = { "reason": "Customer requested cancellation." }
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'x-api-key': '<x-api-key>',
'x-api-token': '<x-api-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: 'Customer requested cancellation.'})
};

fetch('https://api.paymee.com.br/v1.1/pix-automatic/authorizations/{idRec}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 0,
  "message": "success"
}
{
"errorCount": 1,
"errors": [
{
"field": "idRec",
"message": "authorization cannot be canceled"
}
],
"message": "field validation failure",
"status": -1
}
{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}
{
"status": 998,
"message": "authorization not found",
"errorCount": 1,
"errors": [
{
"field": "idRec",
"message": "non-existent authorization"
}
]
}

Headers

x-api-key
string
required
Example:

"your-x-api-key"

x-api-token
string
required
Example:

"your-x-api-token"

Path Parameters

idRec
string
required

Recurrence ID (idRec) of the authorization to be canceled.

Body

application/json

Reason for the cancellation.

reason
string

A brief reason for the cancellation.

Example:

"Customer requested cancellation."

Response

Authorization canceled successfully.

status
integer
Example:

0

message
string
Example:

"success"